/*
   POS_TO_M.H     This is temporary; these functions
   will be collected in a library when I decide which
   library it should be, and where it should be located.

*/

#ifndef pos_to_m_included
#define pos_to_m_included
#ifndef dbhost_included
#include "dbhost.h"    /* PROTOTYPE_ALLOWED */
#endif

#if PROTOTYPE_ALLOWED
double dlon_to_meters(double dlon, double lat);
double dlat_to_meters(double dlat, double lat);

double meters_to_dlon(double dmeters, double lat);
double meters_to_dlat(double dmeters, double lat);

double lon_180(double lon);

#else
double dlon_to_meters();
double dlat_to_meters();

double meters_to_dlon();
double meters_to_dlat();

double lon_180();

#endif

#endif /* ifndef pos_to_m_included */
